Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/ChangeLog	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -1,2 +1,76 @@
+2004-03-29	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* rtems/include/rtems.h,
+	rtems/include/rtems/rtems/asr.h,
+	rtems/include/rtems/rtems/attr.h,
+	rtems/include/rtems/rtems/clock.h,
+	rtems/include/rtems/rtems/config.h,
+	rtems/include/rtems/rtems/dpmem.h,
+	rtems/include/rtems/rtems/eventset.h,
+	rtems/include/rtems/rtems/message.h,
+	rtems/include/rtems/rtems/modes.h,
+	rtems/include/rtems/rtems/msgmp.h,
+	rtems/include/rtems/rtems/options.h,
+	rtems/include/rtems/rtems/part.h,
+	rtems/include/rtems/rtems/ratemon.h,
+	rtems/include/rtems/rtems/region.h,
+	rtems/include/rtems/rtems/regionmp.h,
+	rtems/include/rtems/rtems/sem.h,
+	rtems/include/rtems/rtems/support.h,
+	rtems/include/rtems/rtems/taskmp.h,
+	rtems/include/rtems/rtems/tasks.h,
+	rtems/include/rtems/rtems/timer.h,
+	rtems/inline/rtems/rtems/part.inl,
+	rtems/inline/rtems/rtems/region.inl,
+	rtems/macros/rtems/rtems/part.inl,
+	rtems/src/attr.c,
+	rtems/src/dpmem.c,
+	rtems/src/dpmemcreate.c,
+	rtems/src/dpmemexternal2internal.c,
+	rtems/src/dpmeminternal2external.c,
+	rtems/src/eventseize.c,
+	rtems/src/msg.c,
+	rtems/src/msgmp.c,
+	rtems/src/msgqallocate.c,
+	rtems/src/msgqbroadcast.c,
+	rtems/src/msgqcreate.c,
+	rtems/src/msgqflush.c,
+	rtems/src/msgqgetnumberpending.c,
+	rtems/src/msgqident.c,
+	rtems/src/msgqreceive.c,
+	rtems/src/msgqsend.c,
+	rtems/src/msgqsubmit.c,
+	rtems/src/msgqtranslatereturncode.c,
+	rtems/src/msgqurgent.c,
+	rtems/src/part.c,
+	rtems/src/partcreate.c,
+	rtems/src/partident.c,
+	rtems/src/partmp.c,
+	rtems/src/ratemon.c,
+	rtems/src/region.c,
+	rtems/src/regioncreate.c,
+	rtems/src/regionextend.c,
+	rtems/src/regiongetsegment.c,
+	rtems/src/regiongetsegmentsize.c,
+	rtems/src/regionmp.c,
+	rtems/src/regionreturnsegment.c,
+	rtems/src/rtemstimer.c,
+	rtems/src/sem.c,
+	rtems/src/semcreate.c,
+	rtems/src/semident.c,
+	rtems/src/semmp.c,
+	rtems/src/semobtain.c,
+	rtems/src/semtranslatereturncode.c,
+	rtems/src/taskcreate.c,
+	rtems/src/taskgetnote.c,
+	rtems/src/taskident.c,
+	rtems/src/taskinitusers.c,
+	rtems/src/taskmp.c,
+	rtems/src/taskrestart.c,
+	rtems/src/tasks.c,
+	rtems/src/tasksetnote.c,
+	rtems/src/taskstart.c,
+	rtems/src/timerserver.c: Convert to using c99 fixed size types.
+
 2004-04-29	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: cpukit/rtems/include/rtems.h
===================================================================
--- cpukit/rtems/include/rtems.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -107,8 +107,8 @@
  
 /*
- *  The following constant defines the number of unsigned32's
+ *  The following constant defines the number of uint32_t  's
  *  in a packet which must be converted to native format in a
  *  heterogeneous system.  In packets longer than
- *  MP_PACKET_MINIMUN_HETERO_CONVERSION unsigned32's, some of the "extra" data
+ *  MP_PACKET_MINIMUN_HETERO_CONVERSION uint32_t  's, some of the "extra" data
  *  may a user message buffer which is not automatically endian swapped.
  */
Index: cpukit/rtems/include/rtems/rtems/asr.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/asr.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/asr.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -30,5 +30,5 @@
  */
 
-typedef unsigned32 rtems_signal_set;
+typedef uint32_t   rtems_signal_set;
 
 /*
@@ -59,5 +59,5 @@
   rtems_signal_set  signals_posted;   /* signal set */
   rtems_signal_set  signals_pending;  /* pending signal set */
-  unsigned32        nest_level;       /* nest level of RTEMS_ASR */
+  uint32_t          nest_level;       /* nest level of RTEMS_ASR */
 }   ASR_Information;
 
Index: cpukit/rtems/include/rtems/rtems/attr.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/attr.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/attr.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -23,5 +23,5 @@
 /* types */
 
-typedef unsigned32 rtems_attribute;
+typedef uint32_t   rtems_attribute;
 
 /* constants */
Index: cpukit/rtems/include/rtems/rtems/clock.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/clock.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/clock.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -49,6 +49,6 @@
 
 typedef struct {
-  unsigned32  seconds;
-  unsigned32  microseconds;
+  uint32_t    seconds;
+  uint32_t    microseconds;
 } rtems_clock_time_value;
 
Index: cpukit/rtems/include/rtems/rtems/config.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/config.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/config.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -34,13 +34,13 @@
 
 typedef struct {
-  rtems_unsigned32                  maximum_tasks;
-  rtems_unsigned32                  maximum_timers;
-  rtems_unsigned32                  maximum_semaphores;
-  rtems_unsigned32                  maximum_message_queues;
-  rtems_unsigned32                  maximum_partitions;
-  rtems_unsigned32                  maximum_regions;
-  rtems_unsigned32                  maximum_ports;
-  rtems_unsigned32                  maximum_periods;
-  rtems_unsigned32                  number_of_initialization_tasks;
+  uint32_t                    maximum_tasks;
+  uint32_t                    maximum_timers;
+  uint32_t                    maximum_semaphores;
+  uint32_t                    maximum_message_queues;
+  uint32_t                    maximum_partitions;
+  uint32_t                    maximum_regions;
+  uint32_t                    maximum_ports;
+  uint32_t                    maximum_periods;
+  uint32_t                    number_of_initialization_tasks;
   rtems_initialization_tasks_table *User_initialization_tasks_table;
 } rtems_api_configuration_table;
Index: cpukit/rtems/include/rtems/rtems/dpmem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/dpmem.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/dpmem.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -44,5 +44,5 @@
   void            *internal_base; /* base internal address */
   void            *external_base; /* base external address */
-  unsigned32       length;        /* length of dual-ported area */
+  uint32_t         length;        /* length of dual-ported area */
 }   Dual_ported_memory_Control;
 
@@ -62,5 +62,5 @@
 
 void _Dual_ported_memory_Manager_initialization(
-  unsigned32 maximum_ports
+  uint32_t   maximum_ports
 );
 
@@ -81,5 +81,5 @@
   void         *internal_start,
   void         *external_start,
-  unsigned32    length,
+  uint32_t      length,
   Objects_Id   *id
 );
Index: cpukit/rtems/include/rtems/rtems/eventset.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/eventset.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/eventset.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -26,5 +26,5 @@
  */
 
-typedef unsigned32 rtems_event_set;
+typedef uint32_t   rtems_event_set;
 
 /*
Index: cpukit/rtems/include/rtems/rtems/message.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/message.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/message.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -79,5 +79,5 @@
 
 void _Message_queue_Manager_initialization(
-  unsigned32 maximum_message_queues
+  uint32_t   maximum_message_queues
 );
 
@@ -97,6 +97,6 @@
 rtems_status_code rtems_message_queue_create(
   rtems_name       name,
-  unsigned32       count,
-  unsigned32       max_message_size,
+  uint32_t         count,
+  uint32_t         max_message_size,
   rtems_attribute  attribute_set,
   Objects_Id      *id
@@ -119,5 +119,5 @@
 rtems_status_code rtems_message_queue_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 );
@@ -155,5 +155,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size
+  uint32_t              size
 );
 
@@ -173,5 +173,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size
+  uint32_t              size
 );
 
@@ -190,6 +190,6 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size,
-  unsigned32           *count
+  uint32_t              size,
+  uint32_t             *count
 );
 
@@ -211,6 +211,6 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32           *size,
-  unsigned32            option_set,
+  uint32_t             *size,
+  uint32_t              option_set,
   rtems_interval        timeout
 );
@@ -229,5 +229,5 @@
 rtems_status_code rtems_message_queue_flush(
   Objects_Id  id,
-  unsigned32 *count
+  uint32_t   *count
 );
 
@@ -245,5 +245,5 @@
 rtems_status_code rtems_message_queue_get_number_pending(
   Objects_Id  id,
-  unsigned32 *count
+  uint32_t   *count
 );
 
@@ -265,5 +265,5 @@
   Objects_Id                  id,
   void                       *buffer,
-  unsigned32                  size,
+  uint32_t                    size,
   Message_queue_Submit_types  submit_type
 );
@@ -279,6 +279,6 @@
 
 Message_queue_Control *_Message_queue_Allocate (
-    unsigned32          count,
-    unsigned32          max_message_size
+    uint32_t            count,
+    uint32_t            max_message_size
 );
 
@@ -293,5 +293,5 @@
  
 rtems_status_code _Message_queue_Translate_core_message_queue_return_code (
-  unsigned32 the_message_queue_status
+  uint32_t   the_message_queue_status
 );
 
Index: cpukit/rtems/include/rtems/rtems/modes.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/modes.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/modes.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -28,5 +28,5 @@
  */
 
-typedef unsigned32 Modes_Control;
+typedef uint32_t   Modes_Control;
 
 /*
Index: cpukit/rtems/include/rtems/rtems/msgmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/msgmp.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/msgmp.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -62,7 +62,7 @@
   rtems_option                       option_set;
   Objects_Id                         proxy_id;
-  unsigned32                         count;
-  unsigned32                         size;
-  unsigned32                         pad0;
+  uint32_t                           count;
+  uint32_t                           size;
+  uint32_t                           pad0;
   CORE_message_queue_Buffer          Buffer;
 }   Message_queue_MP_Packet;
@@ -97,5 +97,5 @@
   Objects_Id                          message_queue_id,
   void                               *buffer,
-  unsigned32                         *size_p,
+  uint32_t                           *size_p,
   rtems_option                        option_set,
   Watchdog_Interval                   timeout
Index: cpukit/rtems/include/rtems/rtems/options.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/options.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/options.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -26,5 +26,5 @@
  */
 
-typedef unsigned32 rtems_option;
+typedef uint32_t   rtems_option;
 
 /*
Index: cpukit/rtems/include/rtems/rtems/part.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/part.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/part.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -43,8 +43,8 @@
   Objects_Control     Object;
   void               *starting_address;      /* physical address */
-  unsigned32          length;                /* in bytes */
-  unsigned32          buffer_size;           /* in bytes */
+  uint32_t            length;                /* in bytes */
+  uint32_t            buffer_size;           /* in bytes */
   rtems_attribute  attribute_set;         /* attributes */
-  unsigned32          number_of_used_blocks; /* or allocated buffers */
+  uint32_t            number_of_used_blocks; /* or allocated buffers */
   Chain_Control       Memory;                /* buffer chain */
 }   Partition_Control;
@@ -66,5 +66,5 @@
 
 void _Partition_Manager_initialization(
-  unsigned32 maximum_partitions
+  uint32_t   maximum_partitions
 );
 
@@ -86,6 +86,6 @@
   rtems_name          name,
   void               *starting_address,
-  unsigned32          length,
-  unsigned32          buffer_size,
+  uint32_t            length,
+  uint32_t            buffer_size,
   rtems_attribute  attribute_set,
   Objects_Id         *id
@@ -108,5 +108,5 @@
 rtems_status_code rtems_partition_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 );
Index: cpukit/rtems/include/rtems/rtems/ratemon.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/ratemon.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/ratemon.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -62,6 +62,6 @@
 typedef struct {
   rtems_rate_monotonic_period_states  state;
-  unsigned32                          ticks_since_last_period;
-  unsigned32                          ticks_executed_since_last_period;
+  uint32_t                            ticks_since_last_period;
+  uint32_t                            ticks_executed_since_last_period;
 }  rtems_rate_monotonic_period_status;
 
@@ -75,7 +75,7 @@
   Watchdog_Control                    Timer;
   rtems_rate_monotonic_period_states  state;
-  unsigned32                          owner_ticks_executed_at_period;
-  unsigned32                          time_at_period;
-  unsigned32                          next_length;
+  uint32_t                            owner_ticks_executed_at_period;
+  uint32_t                            time_at_period;
+  uint32_t                            next_length;
   Thread_Control                     *owner;
 }   Rate_monotonic_Control;
@@ -92,5 +92,5 @@
 
 void _Rate_monotonic_Manager_initialization(
-  unsigned32 maximum_periods
+  uint32_t   maximum_periods
 );
 
Index: cpukit/rtems/include/rtems/rtems/region.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/region.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/region.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -46,9 +46,9 @@
   Thread_queue_Control  Wait_queue;            /* waiting threads        */
   void                 *starting_address;      /* physical start addr    */
-  unsigned32            length;                /* physical length(bytes) */
-  unsigned32            page_size;             /* in bytes               */
-  unsigned32            maximum_segment_size;  /* in bytes               */
+  uint32_t              length;                /* physical length(bytes) */
+  uint32_t              page_size;             /* in bytes               */
+  uint32_t              maximum_segment_size;  /* in bytes               */
   rtems_attribute       attribute_set;
-  unsigned32            number_of_used_blocks; /* blocks allocated       */
+  uint32_t              number_of_used_blocks; /* blocks allocated       */
   Heap_Control          Memory;
 }  Region_Control;
@@ -70,5 +70,5 @@
 
 void _Region_Manager_initialization(
-  unsigned32 maximum_regions
+  uint32_t   maximum_regions
 );
 
@@ -90,6 +90,6 @@
   rtems_name          name,
   void               *starting_address,
-  unsigned32          length,
-  unsigned32          page_size,
+  uint32_t            length,
+  uint32_t            page_size,
   rtems_attribute  attribute_set,
   Objects_Id         *id
@@ -110,5 +110,5 @@
   Objects_Id          id,
   void               *starting_address,
-  unsigned32          length
+  uint32_t            length
 );
 
@@ -173,5 +173,5 @@
 rtems_status_code rtems_region_get_segment(
   Objects_Id         id,
-  unsigned32         size,
+  uint32_t           size,
   rtems_option       option_set,
   rtems_interval     timeout,
@@ -191,5 +191,5 @@
   Objects_Id         id,
   void              *segment,
-  unsigned32        *size
+  uint32_t          *size
 );
 
Index: cpukit/rtems/include/rtems/rtems/regionmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/regionmp.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -53,5 +53,5 @@
   rtems_name                   name;
   rtems_option                 option_set;
-  unsigned32                   size;
+  uint32_t                     size;
   Objects_Id                   proxy_id;
   void                        *segment;
@@ -87,5 +87,5 @@
   Objects_Id                   region_id,
   void                        *segment,
-  unsigned32                   size,
+  uint32_t                     size,
   rtems_option                 option_set,
   rtems_interval               timeout
Index: cpukit/rtems/include/rtems/rtems/sem.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/sem.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/sem.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -69,5 +69,5 @@
 
 void _Semaphore_Manager_initialization(
-  unsigned32 maximum_semaphores
+  uint32_t   maximum_semaphores
 );
 
@@ -86,5 +86,5 @@
 rtems_status_code rtems_semaphore_create(
   rtems_name           name,
-  unsigned32           count,
+  uint32_t             count,
   rtems_attribute      attribute_set,
   rtems_task_priority  priority_ceiling,
@@ -108,5 +108,5 @@
 rtems_status_code rtems_semaphore_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   rtems_id     *id
 );
@@ -141,5 +141,5 @@
 rtems_status_code rtems_semaphore_obtain(
   rtems_id       id,
-  unsigned32     option_set,
+  uint32_t       option_set,
   rtems_interval timeout
 );
@@ -185,5 +185,5 @@
 boolean _Semaphore_Seize(
   Semaphore_Control *the_semaphore,
-  unsigned32         option_set
+  uint32_t           option_set
 );
 
@@ -198,5 +198,5 @@
  
 rtems_status_code _Semaphore_Translate_core_mutex_return_code (
-  unsigned32 the_mutex_status
+  uint32_t   the_mutex_status
 );
 
@@ -211,5 +211,5 @@
  
 rtems_status_code _Semaphore_Translate_core_semaphore_return_code (
-  unsigned32 the_mutex_status
+  uint32_t   the_mutex_status
 );
  
Index: cpukit/rtems/include/rtems/rtems/support.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/support.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/support.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -38,5 +38,5 @@
  
 #define rtems_build_name( _C1, _C2, _C3, _C4 ) \
-  ( (unsigned32)(_C1) << 24 | (unsigned32)(_C2) << 16 | (unsigned32)(_C3) << 8 | (unsigned32)(_C4) )
+  ( (uint32_t  )(_C1) << 24 | (uint32_t  )(_C2) << 16 | (uint32_t  )(_C3) << 8 | (uint32_t  )(_C4) )
  
 /*
Index: cpukit/rtems/include/rtems/rtems/taskmp.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/taskmp.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -58,6 +58,6 @@
   rtems_name                        name;
   rtems_task_priority               the_priority;
-  unsigned32                        notepad;
-  unsigned32                        note;
+  uint32_t                          notepad;
+  uint32_t                          note;
 }   RTEMS_tasks_MP_Packet;
 
@@ -90,6 +90,6 @@
   Objects_Id                       task_id,
   rtems_task_priority                 the_priority,
-  unsigned32                       notepad,
-  unsigned32                       note
+  uint32_t                         notepad,
+  uint32_t                         note
 );
 
Index: cpukit/rtems/include/rtems/rtems/tasks.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/tasks.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/tasks.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -119,5 +119,5 @@
  */
  
-typedef unsigned32 rtems_task_argument;
+typedef uint32_t   rtems_task_argument;
 
 /*
@@ -138,10 +138,10 @@
 typedef struct {
   rtems_name            name;              /* task name */
-  unsigned32            stack_size;        /* task stack size */
+  uint32_t              stack_size;        /* task stack size */
   rtems_task_priority   initial_priority;  /* task priority */
   rtems_attribute       attribute_set;     /* task attributes */
   rtems_task_entry      entry_point;       /* task entry point */
   rtems_mode            mode_set;          /* task initial mode */
-  unsigned32            argument;          /* task argument */
+  uint32_t              argument;          /* task argument */
 } rtems_initialization_tasks_table;
 
@@ -153,5 +153,5 @@
  
 typedef struct {
-  unsigned32               Notepads[ RTEMS_NUMBER_NOTEPADS ];
+  uint32_t                 Notepads[ RTEMS_NUMBER_NOTEPADS ];
   rtems_event_set          pending_events;
   rtems_event_set          event_condition;
@@ -172,5 +172,5 @@
 RTEMS_EXTERN rtems_initialization_tasks_table 
                *_RTEMS_tasks_User_initialization_tasks;
-RTEMS_EXTERN unsigned32   _RTEMS_tasks_Number_of_initialization_tasks;
+RTEMS_EXTERN uint32_t     _RTEMS_tasks_Number_of_initialization_tasks;
 
 /*
@@ -183,6 +183,6 @@
  
 void _RTEMS_tasks_Manager_initialization(
-  unsigned32                        maximum_tasks,
-  unsigned32                        number_of_initialization_tasks,
+  uint32_t                          maximum_tasks,
+  uint32_t                          number_of_initialization_tasks,
   rtems_initialization_tasks_table *user_tasks
 );
@@ -204,5 +204,5 @@
   rtems_name           name,
   rtems_task_priority  initial_priority,
-  unsigned32           stack_size,
+  uint32_t             stack_size,
   rtems_mode           initial_modes,
   rtems_attribute      attribute_set,
@@ -226,5 +226,5 @@
 rtems_status_code rtems_task_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 );
@@ -255,6 +255,6 @@
 rtems_status_code rtems_task_get_note(
   Objects_Id  id,
-  unsigned32  notepad,
-  unsigned32 *note
+  uint32_t    notepad,
+  uint32_t   *note
 );
 
@@ -271,6 +271,6 @@
 rtems_status_code rtems_task_set_note(
   Objects_Id id,
-  unsigned32 notepad,
-  unsigned32 note
+  uint32_t   notepad,
+  uint32_t   note
 );
 
@@ -304,5 +304,5 @@
 rtems_status_code rtems_task_restart(
   Objects_Id id,
-  unsigned32 arg
+  uint32_t   arg
 );
 
@@ -363,5 +363,5 @@
   Objects_Id   id,
   rtems_task_entry entry_point,
-  unsigned32   argument
+  uint32_t     argument
 );
 
Index: cpukit/rtems/include/rtems/rtems/timer.h
===================================================================
--- cpukit/rtems/include/rtems/rtems/timer.h	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/include/rtems/rtems/timer.h	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -117,5 +117,5 @@
 
 void _Timer_Manager_initialization(
-  unsigned32 maximum_timers
+  uint32_t   maximum_timers
 );
 
@@ -132,5 +132,5 @@
 
 Thread _Timer_Server_body(
-  unsigned32 ignored
+  uint32_t   ignored
 );
 
@@ -296,6 +296,6 @@
 
 rtems_status_code rtems_timer_initiate_server(
-  unsigned32           priority,
-  unsigned32           stack_size,
+  uint32_t             priority,
+  uint32_t             stack_size,
   rtems_attribute      attribute_set
 );
Index: cpukit/rtems/inline/rtems/rtems/part.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/part.inl	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/inline/rtems/rtems/part.inl	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -67,7 +67,7 @@
 )
 {
-  unsigned32   offset;
+  uint32_t     offset;
 
-  offset = (unsigned32) _Addresses_Subtract(
+  offset = (uint32_t  ) _Addresses_Subtract(
     the_buffer,
     the_partition->starting_address
@@ -116,5 +116,5 @@
 
 RTEMS_INLINE_ROUTINE boolean _Partition_Is_buffer_size_aligned (
-   unsigned32 buffer_size
+   uint32_t   buffer_size
 )
 {
Index: cpukit/rtems/inline/rtems/rtems/region.inl
===================================================================
--- cpukit/rtems/inline/rtems/rtems/region.inl	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/inline/rtems/rtems/region.inl	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -84,5 +84,5 @@
 RTEMS_INLINE_ROUTINE void *_Region_Allocate_segment (
   Region_Control *the_region,
-  unsigned32      size
+  uint32_t        size
 )
 {
Index: cpukit/rtems/macros/rtems/rtems/part.inl
===================================================================
--- cpukit/rtems/macros/rtems/rtems/part.inl	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/macros/rtems/rtems/part.inl	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -42,5 +42,5 @@
 
 #define _Partition_Is_buffer_on_boundary( _the_buffer, _the_partition ) \
-  ((((unsigned32) _Addresses_Subtract( \
+  ((((uint32_t  ) _Addresses_Subtract( \
                     (_the_buffer), \
                     (_the_partition)->starting_address ) \
Index: cpukit/rtems/src/attr.c
===================================================================
--- cpukit/rtems/src/attr.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/attr.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -18,9 +18,9 @@
 #include <rtems/rtems/modes.h>
 
-rtems_unsigned32 rtems_minimum_stack_size = STACK_MINIMUM_SIZE;
-rtems_unsigned32 rtems_interrupt_mask = RTEMS_INTERRUPT_MASK;
+uint32_t   rtems_minimum_stack_size = STACK_MINIMUM_SIZE;
+uint32_t   rtems_interrupt_mask = RTEMS_INTERRUPT_MASK;
 
 rtems_attribute rtems_interrupt_level_attribute(
-  unsigned32 level
+  uint32_t   level
 )
 {
Index: cpukit/rtems/src/dpmem.c
===================================================================
--- cpukit/rtems/src/dpmem.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/dpmem.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -35,5 +35,5 @@
 
 void _Dual_ported_memory_Manager_initialization(
-  unsigned32 maximum_ports
+  uint32_t   maximum_ports
 )
 {
Index: cpukit/rtems/src/dpmemcreate.c
===================================================================
--- cpukit/rtems/src/dpmemcreate.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/dpmemcreate.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -44,5 +44,5 @@
   void         *internal_start,
   void         *external_start,
-  unsigned32    length,
+  uint32_t      length,
   Objects_Id   *id
 )
Index: cpukit/rtems/src/dpmemexternal2internal.c
===================================================================
--- cpukit/rtems/src/dpmemexternal2internal.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/dpmemexternal2internal.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -48,5 +48,5 @@
   register Dual_ported_memory_Control *the_port;
   Objects_Locations                    location;
-  unsigned32                           ending;
+  uint32_t                             ending;
 
   the_port = _Dual_ported_memory_Get( id, &location );
Index: cpukit/rtems/src/dpmeminternal2external.c
===================================================================
--- cpukit/rtems/src/dpmeminternal2external.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/dpmeminternal2external.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -48,5 +48,5 @@
   register Dual_ported_memory_Control *the_port;
   Objects_Locations                    location;
-  unsigned32                           ending;
+  uint32_t                             ending;
 
   the_port = _Dual_ported_memory_Get( id, &location );
Index: cpukit/rtems/src/eventseize.c
===================================================================
--- cpukit/rtems/src/eventseize.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/eventseize.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -85,6 +85,6 @@
   _Event_Sync_state = EVENT_SYNC_NOTHING_HAPPENED;
 
-  executing->Wait.option            = (unsigned32) option_set;
-  executing->Wait.count             = (unsigned32) event_in;
+  executing->Wait.option            = (uint32_t  ) option_set;
+  executing->Wait.count             = (uint32_t  ) event_in;
   executing->Wait.return_argument   = event_out;
 
Index: cpukit/rtems/src/msg.c
===================================================================
--- cpukit/rtems/src/msg.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msg.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -45,5 +45,5 @@
 
 void _Message_queue_Manager_initialization(
-  unsigned32 maximum_message_queues
+  uint32_t   maximum_message_queues
 )
 {
Index: cpukit/rtems/src/msgmp.c
===================================================================
--- cpukit/rtems/src/msgmp.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgmp.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -38,5 +38,5 @@
 {
   Message_queue_MP_Packet *the_packet;
-  unsigned32               node;
+  uint32_t                 node;
 
   switch ( operation ) {
@@ -90,5 +90,5 @@
   Objects_Id                          message_queue_id,
   void                               *buffer,
-  unsigned32                         *size_p,
+  uint32_t                           *size_p,
   rtems_option                        option_set,
   rtems_interval                      timeout
@@ -165,5 +165,5 @@
       the_packet->size       = 0;        /* just in case of an error */
 
-      _Thread_Executing->Wait.return_argument   = (unsigned32 *)buffer;
+      _Thread_Executing->Wait.return_argument   = (uint32_t   *)buffer;
       _Thread_Executing->Wait.return_argument_1 = size_p;
       
@@ -319,5 +319,5 @@
 
       if (the_packet->Prefix.return_code == RTEMS_SUCCESSFUL) {
-        *(rtems_unsigned32 *)the_thread->Wait.return_argument_1 = 
+        *(uint32_t   *)the_thread->Wait.return_argument_1 = 
            the_packet->size;
 
@@ -392,5 +392,5 @@
       the_thread = _MPCI_Process_response( the_packet_prefix );
 
-      *(unsigned32 *)the_thread->Wait.return_argument = the_packet->count;
+      *(uint32_t   *)the_thread->Wait.return_argument = the_packet->count;
 
       _MPCI_Return_packet( the_packet_prefix );
Index: cpukit/rtems/src/msgqallocate.c
===================================================================
--- cpukit/rtems/src/msgqallocate.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqallocate.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -47,6 +47,6 @@
 
 Message_queue_Control *_Message_queue_Allocate (
-  unsigned32           count,
-  unsigned32           max_message_size
+  uint32_t             count,
+  uint32_t             max_message_size
 )
 {
Index: cpukit/rtems/src/msgqbroadcast.c
===================================================================
--- cpukit/rtems/src/msgqbroadcast.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqbroadcast.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -53,6 +53,6 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size,
-  unsigned32           *count
+  uint32_t              size,
+  uint32_t             *count
 )
 {
Index: cpukit/rtems/src/msgqcreate.c
===================================================================
--- cpukit/rtems/src/msgqcreate.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqcreate.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -53,6 +53,6 @@
 rtems_status_code rtems_message_queue_create(
   rtems_name          name,
-  unsigned32          count,
-  unsigned32          max_message_size,
+  uint32_t            count,
+  uint32_t            max_message_size,
   rtems_attribute     attribute_set,
   Objects_Id         *id
Index: cpukit/rtems/src/msgqflush.c
===================================================================
--- cpukit/rtems/src/msgqflush.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqflush.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -51,5 +51,5 @@
 rtems_status_code rtems_message_queue_flush(
   Objects_Id  id,
-  unsigned32 *count
+  uint32_t   *count
 )
 {
Index: cpukit/rtems/src/msgqgetnumberpending.c
===================================================================
--- cpukit/rtems/src/msgqgetnumberpending.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqgetnumberpending.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -49,5 +49,5 @@
 rtems_status_code rtems_message_queue_get_number_pending(
   Objects_Id  id,
-  unsigned32 *count
+  uint32_t   *count
 )
 {
Index: cpukit/rtems/src/msgqident.c
===================================================================
--- cpukit/rtems/src/msgqident.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqident.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -51,5 +51,5 @@
 rtems_status_code rtems_message_queue_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 )
Index: cpukit/rtems/src/msgqreceive.c
===================================================================
--- cpukit/rtems/src/msgqreceive.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqreceive.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -53,6 +53,6 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32           *size,
-  unsigned32            option_set,
+  uint32_t             *size,
+  uint32_t              option_set,
   rtems_interval        timeout
 )
Index: cpukit/rtems/src/msgqsend.c
===================================================================
--- cpukit/rtems/src/msgqsend.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqsend.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -51,5 +51,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size
+  uint32_t              size
 )
 {
Index: cpukit/rtems/src/msgqsubmit.c
===================================================================
--- cpukit/rtems/src/msgqsubmit.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqsubmit.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -62,5 +62,5 @@
   Objects_Id                  id,
   void                       *buffer,
-  unsigned32                  size,
+  uint32_t                    size,
   Message_queue_Submit_types  submit_type
 )
Index: cpukit/rtems/src/msgqtranslatereturncode.c
===================================================================
--- cpukit/rtems/src/msgqtranslatereturncode.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqtranslatereturncode.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -54,5 +54,5 @@
 
 rtems_status_code _Message_queue_Translate_core_message_queue_return_code (
-  unsigned32 status
+  uint32_t   status
 )
 {
Index: cpukit/rtems/src/msgqurgent.c
===================================================================
--- cpukit/rtems/src/msgqurgent.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/msgqurgent.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -51,5 +51,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size
+  uint32_t              size
 )
 {
Index: cpukit/rtems/src/part.c
===================================================================
--- cpukit/rtems/src/part.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/part.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -36,5 +36,5 @@
 
 void _Partition_Manager_initialization(
-  unsigned32 maximum_partitions
+  uint32_t   maximum_partitions
 )
 {
Index: cpukit/rtems/src/partcreate.c
===================================================================
--- cpukit/rtems/src/partcreate.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/partcreate.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -46,6 +46,6 @@
   rtems_name          name,
   void               *starting_address,
-  unsigned32          length,
-  unsigned32          buffer_size,
+  uint32_t            length,
+  uint32_t            buffer_size,
   rtems_attribute  attribute_set,
   Objects_Id         *id
Index: cpukit/rtems/src/partident.c
===================================================================
--- cpukit/rtems/src/partident.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/partident.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -42,5 +42,5 @@
 rtems_status_code rtems_partition_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 )
Index: cpukit/rtems/src/partmp.c
===================================================================
--- cpukit/rtems/src/partmp.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/partmp.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -37,5 +37,5 @@
 {
   Partition_MP_Packet *the_packet;
-  unsigned32           node;
+  uint32_t             node;
 
   switch ( operation ) {
Index: cpukit/rtems/src/ratemon.c
===================================================================
--- cpukit/rtems/src/ratemon.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/ratemon.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -38,5 +38,5 @@
 
 void _Rate_monotonic_Manager_initialization(
-  unsigned32 maximum_periods
+  uint32_t   maximum_periods
 )
 {
Index: cpukit/rtems/src/region.c
===================================================================
--- cpukit/rtems/src/region.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/region.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -36,5 +36,5 @@
 
 void _Region_Manager_initialization(
-  unsigned32 maximum_regions
+  uint32_t   maximum_regions
 )
 {
Index: cpukit/rtems/src/regioncreate.c
===================================================================
--- cpukit/rtems/src/regioncreate.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/regioncreate.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -47,6 +47,6 @@
   rtems_name          name,
   void               *starting_address,
-  unsigned32          length,
-  unsigned32          page_size,
+  uint32_t            length,
+  uint32_t            page_size,
   rtems_attribute  attribute_set,
   Objects_Id         *id
Index: cpukit/rtems/src/regionextend.c
===================================================================
--- cpukit/rtems/src/regionextend.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/regionextend.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -43,10 +43,10 @@
   Objects_Id          id,
   void               *starting_address,
-  unsigned32          length
+  uint32_t            length
 )
 {
   Region_Control     *the_region;
   Objects_Locations   location;
-  unsigned32          amount_extended;
+  uint32_t            amount_extended;
   Heap_Extend_status  heap_status;
   rtems_status_code   status;
Index: cpukit/rtems/src/regiongetsegment.c
===================================================================
--- cpukit/rtems/src/regiongetsegment.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/regiongetsegment.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -44,5 +44,5 @@
 rtems_status_code rtems_region_get_segment(
   Objects_Id         id,
-  unsigned32         size,
+  uint32_t           size,
   rtems_option       option_set,
   rtems_interval     timeout,
Index: cpukit/rtems/src/regiongetsegmentsize.c
===================================================================
--- cpukit/rtems/src/regiongetsegmentsize.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/regiongetsegmentsize.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -43,5 +43,5 @@
   Objects_Id         id,
   void              *segment,
-  unsigned32        *size
+  uint32_t          *size
 )
 {
Index: cpukit/rtems/src/regionmp.c
===================================================================
--- cpukit/rtems/src/regionmp.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/regionmp.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -37,5 +37,5 @@
 {
   Region_MP_Packet *the_packet;
-  unsigned32           node;
+  uint32_t             node;
 
   switch ( operation ) {
@@ -80,5 +80,5 @@
   Objects_Id                   region_id,
   void                        *segment,
-  unsigned32                   size,
+  uint32_t                     size,
   rtems_option                 option_set,
   rtems_interval               timeout
Index: cpukit/rtems/src/regionreturnsegment.c
===================================================================
--- cpukit/rtems/src/regionreturnsegment.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/regionreturnsegment.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -56,5 +56,5 @@
   void                   **the_segment;
 #ifdef RTEMS_REGION_FREE_SHRED_PATTERN
-  unsigned32               size;
+  uint32_t                 size;
 #endif
   int                      status;
Index: cpukit/rtems/src/rtemstimer.c
===================================================================
--- cpukit/rtems/src/rtemstimer.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/rtemstimer.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -35,5 +35,5 @@
 
 void _Timer_Manager_initialization(
-  unsigned32 maximum_timers
+  uint32_t   maximum_timers
 )
 {
Index: cpukit/rtems/src/sem.c
===================================================================
--- cpukit/rtems/src/sem.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/sem.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -59,5 +59,5 @@
 
 void _Semaphore_Manager_initialization(
-  unsigned32 maximum_semaphores
+  uint32_t   maximum_semaphores
 )
 {
Index: cpukit/rtems/src/semcreate.c
===================================================================
--- cpukit/rtems/src/semcreate.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/semcreate.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -68,5 +68,5 @@
 rtems_status_code rtems_semaphore_create(
   rtems_name           name,
-  unsigned32           count,
+  uint32_t             count,
   rtems_attribute      attribute_set,
   rtems_task_priority  priority_ceiling,
@@ -77,5 +77,5 @@
   CORE_mutex_Attributes       the_mutex_attributes;
   CORE_semaphore_Attributes   the_semaphore_attributes;
-  unsigned32                  lock;
+  uint32_t                    lock;
 
   if ( !rtems_is_name_valid( name ) )
Index: cpukit/rtems/src/semident.c
===================================================================
--- cpukit/rtems/src/semident.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/semident.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -66,5 +66,5 @@
 rtems_status_code rtems_semaphore_ident(
   rtems_name  name,
-  unsigned32  node,
+  uint32_t    node,
   Objects_Id *id
 )
Index: cpukit/rtems/src/semmp.c
===================================================================
--- cpukit/rtems/src/semmp.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/semmp.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -38,5 +38,5 @@
 {
   Semaphore_MP_Packet *the_packet;
-  unsigned32           node;
+  uint32_t             node;
 
   switch ( operation ) {
Index: cpukit/rtems/src/semobtain.c
===================================================================
--- cpukit/rtems/src/semobtain.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/semobtain.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -64,5 +64,5 @@
 rtems_status_code rtems_semaphore_obtain(
   Objects_Id      id,
-  unsigned32      option_set,
+  uint32_t        option_set,
   rtems_interval  timeout
 )
Index: cpukit/rtems/src/semtranslatereturncode.c
===================================================================
--- cpukit/rtems/src/semtranslatereturncode.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/semtranslatereturncode.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -70,5 +70,5 @@
 
 rtems_status_code _Semaphore_Translate_core_mutex_return_code (
-  unsigned32 the_mutex_status
+  uint32_t   the_mutex_status
 )
 {
@@ -106,5 +106,5 @@
 
 rtems_status_code _Semaphore_Translate_core_semaphore_return_code (
-  unsigned32 the_semaphore_status
+  uint32_t   the_semaphore_status
 )
 {
Index: cpukit/rtems/src/taskcreate.c
===================================================================
--- cpukit/rtems/src/taskcreate.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/taskcreate.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -54,5 +54,5 @@
   rtems_name           name,
   rtems_task_priority  initial_priority,
-  unsigned32           stack_size,
+  uint32_t             stack_size,
   rtems_mode           initial_modes,
   rtems_attribute      attribute_set,
Index: cpukit/rtems/src/taskgetnote.c
===================================================================
--- cpukit/rtems/src/taskgetnote.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/taskgetnote.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -49,6 +49,6 @@
 rtems_status_code rtems_task_get_note(
   Objects_Id  id,
-  unsigned32  notepad,
-  unsigned32 *note
+  uint32_t    notepad,
+  uint32_t   *note
 )
 {
Index: cpukit/rtems/src/taskident.c
===================================================================
--- cpukit/rtems/src/taskident.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/taskident.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -49,5 +49,5 @@
 rtems_status_code rtems_task_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 )
Index: cpukit/rtems/src/taskinitusers.c
===================================================================
--- cpukit/rtems/src/taskinitusers.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/taskinitusers.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -43,6 +43,6 @@
 void _RTEMS_tasks_Initialize_user_tasks( void )
 {
-  unsigned32                        index;
-  unsigned32                        maximum;
+  uint32_t                          index;
+  uint32_t                          maximum;
   rtems_id                          id;
   rtems_status_code                 return_value;
Index: cpukit/rtems/src/taskmp.c
===================================================================
--- cpukit/rtems/src/taskmp.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/taskmp.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -78,6 +78,6 @@
   Objects_Id                       task_id,
   rtems_task_priority                 new_priority,
-  unsigned32                       notepad,
-  unsigned32                       note
+  uint32_t                         notepad,
+  uint32_t                         note
 )
 {
@@ -287,5 +287,5 @@
       the_thread = _MPCI_Process_response( the_packet_prefix );
 
-      *(unsigned32 *)the_thread->Wait.return_argument = the_packet->note;
+      *(uint32_t   *)the_thread->Wait.return_argument = the_packet->note;
 
       _MPCI_Return_packet( the_packet_prefix );
Index: cpukit/rtems/src/taskrestart.c
===================================================================
--- cpukit/rtems/src/taskrestart.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/taskrestart.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -49,5 +49,5 @@
 rtems_status_code rtems_task_restart(
   Objects_Id id,
-  unsigned32 argument
+  uint32_t   argument
 )
 {
Index: cpukit/rtems/src/tasks.c
===================================================================
--- cpukit/rtems/src/tasks.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/tasks.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -236,6 +236,6 @@
 
 void _RTEMS_tasks_Manager_initialization(
-  unsigned32                        maximum_tasks,
-  unsigned32                        number_of_initialization_tasks,
+  uint32_t                          maximum_tasks,
+  uint32_t                          number_of_initialization_tasks,
   rtems_initialization_tasks_table *user_tasks
 )
Index: cpukit/rtems/src/tasksetnote.c
===================================================================
--- cpukit/rtems/src/tasksetnote.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/tasksetnote.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -48,6 +48,6 @@
 rtems_status_code rtems_task_set_note(
   Objects_Id id,
-  unsigned32 notepad,
-  unsigned32 note
+  uint32_t   notepad,
+  uint32_t   note
 )
 {
Index: cpukit/rtems/src/taskstart.c
===================================================================
--- cpukit/rtems/src/taskstart.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/taskstart.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -50,5 +50,5 @@
   rtems_id         id,
   rtems_task_entry entry_point,
-  unsigned32       argument
+  uint32_t         argument
 )
 {
Index: cpukit/rtems/src/timerserver.c
===================================================================
--- cpukit/rtems/src/timerserver.c	(revision 850c88df7f3dd29e7cdba5f1d2a60207e9980b11)
+++ cpukit/rtems/src/timerserver.c	(revision 1d496f6eec4ff18ebfeba836059fa4a4f3a3916b)
@@ -70,5 +70,5 @@
 
 Thread _Timer_Server_body(
-  unsigned32 ignored
+  uint32_t   ignored
 )
 {
@@ -136,6 +136,6 @@
 
 rtems_status_code rtems_timer_initiate_server(
-  unsigned32           priority,
-  unsigned32           stack_size,
+  uint32_t             priority,
+  uint32_t             stack_size,
   rtems_attribute      attribute_set
 )
